# build/parseDescription.c File Reference

Parse description section from spec file. More...

`#include "system.h"`
`#include <rpmio.h>`
`#include "rpmbuild.h"`
`#include "debug.h"`

Include dependency graph for parseDescription.c:

Go to the source code of this file.

## Functions

int | parseDescription (Spec spec)
| Parse %description section of a spec file.

## Variables

int | noLang
static const char * | name = NULL
static const char * | lang = NULL
static struct poptOption | optionsTable []

## Detailed Description

Parse description section from spec file.

Definition in file parseDescription.c.

## Variable Documentation

const char* lang = NULL`[static]`

Definition at line 21 of file parseDescription.c.

Referenced by addFile(), headerFindI18NString(), parseDescription(), parsePreamble(), and skipFiles().

const char* name = NULL`[static]`

Definition at line 19 of file parseDescription.c.

int noLang

Definition at line 55 of file poptBT.c.

Referenced by handlePreambleTag(), and parseDescription().

struct poptOption optionsTable[]`[static]`

Initial value:

     {
            { NULL, 'n', POPT_ARG_STRING, &name, 'n',       NULL, NULL},
            { NULL, 'l', POPT_ARG_STRING, &lang, 'l',       NULL, NULL},
            { 0, 0, 0, 0, 0,        NULL, NULL}
        }

Definition at line 24 of file parseDescription.c.

Referenced by parseDescription().